package com.zcloud.service.speEquip.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.speEquip.SpecialEquipmentMapper;
import com.zcloud.service.speEquip.SpecialEquipmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：特种设备管理
 * 作者：luoxiaobao
 * 时间：2021-06-19
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class SpecialEquipmentServiceImpl implements SpecialEquipmentService {

	@Autowired
	private SpecialEquipmentMapper specialequipmentMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		specialequipmentMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		specialequipmentMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		specialequipmentMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return specialequipmentMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return specialequipmentMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return specialequipmentMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		specialequipmentMapper.deleteAll(pd);
	}

	/**列表(根据多选ID查询数据)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listByIds(PageData pd)throws Exception{
		return specialequipmentMapper.listByIds(pd);
	}

}

